<?php
/**
 *
 * @author	ahrasis
 * @email	ahrasis@gmail.com
 * @link	http://sahabat.ahrasis.com
 * @license	Free License
 * @addon	Masa: Surfer's Local Live Time
 *
 */

// If we have found SSI.php and we are outside of ELK, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('ELK'))
	require_once(dirname(__FILE__) . '/SSI.php');

// If we are outside ELK and can't find SSI.php, then throw an error
elseif (!defined('ELK'))
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as Elkarte\'s SSI.php.');

if (ELK == 'SSI')
	db_extend('packages');
	
// Define the hooks
$hook_functions = array(
	'integrate_menu_buttons' => 'Masa_Main|SOURCEDIR/addons/Masa/Masa.subs.php',
	'integrate_general_mod_settings' => 'Masa_Settings|SOURCEDIR/addons/Masa/Masa.subs.php',
);

// Adding or removing them?
if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';

else
	$call = 'add_integration_function';

// Do the deed
foreach ($hook_functions as $hook => $function)
	$call($hook, $function);

if (ELK == 'SSI')
   echo 'Congratulations! You have successfully installed this mod!';

?>